Bug 494074 (CVE-2009-1336) - CVE-2009-1336 kernel: nfsv4 client can be crashed by stating a long filename
Summary: CVE-2009-1336 kernel: nfsv4 client can be crashed by stating a long filename
Status: CLOSED ERRATA
Alias: CVE-2009-1336
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070928,source=bugzilla,repor...
Keywords: Security
Depends On: 493939 493942 494077 494078
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-04-04 01:13 UTC by Eugene Teo (Security Response)
Modified: 2018-10-20 01:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-02 00:13:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch. (3.33 KB, patch)
2009-04-06 09:18 UTC, Sachin Prabhu
no flags Details | Diff
Proposed Patch (1.47 KB, patch)
2009-04-06 09:22 UTC, Sachin Prabhu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0473 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-05-07 10:53:11 UTC
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC
Red Hat Product Errata RHSA-2009:1077 normal SHIPPED_LIVE Important: kernel security and bug fix update 2009-06-02 16:48:01 UTC

Description Eugene Teo (Security Response) 2009-04-04 01:13:20 UTC
Description of problem:
The NFS file name limit is not being initialised correctly in the struct nfs_server. Make sure that we limit whatever is being set in nfs_probe_fsinfo() and nfs_init_server().

Also ensure that readdirplus and nfs4_path_walk respect our file name limits.

Upstream commit:
http://git.kernel.org/linus/54af3bb543c071769141387a42deaaab5074da55

Comment 4 Sachin Prabhu 2009-04-06 09:18:45 UTC
Created attachment 338303 [details]
Proposed patch.

Patch back ported from upstream commit
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=54af3bb543c071769141387a42deaaab5074da55

Comment 6 Sachin Prabhu 2009-04-06 09:22:59 UTC
Created attachment 338304 [details]
Proposed Patch

Proposed patch for RHEL 4.

Comment 10 errata-xmlrpc 2009-05-07 10:53:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0473 https://rhn.redhat.com/errata/RHSA-2009-0473.html

Comment 11 errata-xmlrpc 2009-05-18 19:03:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1024 https://rhn.redhat.com/errata/RHSA-2009-1024.html

Comment 12 errata-xmlrpc 2009-05-18 20:36:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1024 https://rhn.redhat.com/errata/RHSA-2009-1024.html

Comment 13 errata-xmlrpc 2009-06-02 16:28:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4.7 Z Stream

Via RHSA-2009:1077 https://rhn.redhat.com/errata/RHSA-2009-1077.html

Comment 17 Kurt Seifried 2011-11-02 00:13:39 UTC
All children bugs have been closed, parent is no longer needed.


Note You need to log in before you can comment on or make changes to this bug.